#### D.3.2.5 orthogonalize

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  orthogonalize(A); A = matrix of constants

Return:
  matrix, orthogonal basis of the colum space of A

Example:

    LIB "linalg.lib";
    ring r=0,(x),lp;
    matrix A[4][4]=5,6,12,4,7,3,2,6,12,1,1,2,6,4,2,10;
    print(A);
    ==> 5, 6,12,4,
    ==> 7, 3,2, 6,
    ==> 12,1,1, 2,
    ==> 6, 4,2, 10
    print(orthogonalize(A));
    ==> 1,0, 0, 0,
    ==> 0,23,0, 0,
    ==> 0,0, 21,0,
    ==> 0,0, 0, 6

User manual for Singular version 4-0-3, 2016, generated by texi2html.